#
# spec file for package soundconverter
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           soundconverter
Version:        2.1.5
Release:        1.1
License:        GPL-3.0+
Summary:        Simple Sound Converter Application for the GNOME Desktop
Url:            http://soundconverter.org/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         https://launchpad.net/soundconverter/trunk/2.1.5/+download/soundconverter-2.1.5.tar.xz
Source1 :       %{name}-rpmlintrc
BuildRequires:  intltool
BuildRequires:  mDNSResponder-lib
BuildRequires:  perl-XML-Parser
BuildRequires:  python
BuildRequires:  python-gnome
BuildRequires:  python-gtk-devel >= 2.24
BuildRequires:  update-desktop-files
Requires:       gstreamer-0_10
Requires:       gstreamer-0_10-plugins-bad
Requires:       gstreamer-0_10-plugins-base
Requires:       gstreamer-0_10-plugins-good
Requires:       gstreamer-0_10-plugins-ugly
Requires:       python-gnome
Requires:       python-gstreamer-0_10
Requires:       python-gtk >= 2.24
Recommends:     gstreamer-0_10-plugins-ugly-orig-addon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
A simple sound converter application for the GNOME environment.

It reads anything the GStreamer library can read, and writes WAV,
FLAC, MP3, and Ogg Vorbis files.

This application is somewhat less fast than various command line
tools. Not a whole lot, however, and not enough to make me worry
about performance for the foreseeable future. If you want ultimate
performance, the command line tools are always going to be
preferable.

All file formats that GStreamer can read from should now be
supported (thanks to the wonderful 'decodebin' element). The
output formats are more restricted, however, since there is no
'encodebin' element to magically convert to any format we might
want.

%prep
%setup -q
sed -i -e 's|application/ogg;audio/x-mp3;|application/ogg;|g' \
    data/%{name}.desktop*

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# menu and icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install data/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file -n -i %{name} AudioVideo AudioVideoEditing
%find_lang %{name}

%clean
%{?buildroot:rm -rf %{buildroot}}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}/
%doc %{_mandir}/man1/%{name}*
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
# Own dir for older versions of openSUSE
%if 0%{?suse_version} < 1320
%dir %{_datadir}/appdata/
%endif
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Sat Mar  7 2015 zaitor@opensuse.org
- Update to version 2.1.5:
  + Don't write xing header if target MP3 is in CBR mode
    (lp#1399276).
  + Fix problem when dropping files with special chars.
  + Updated translations.
- Changes from version 1.5.5 to current, please see upstream web.
- Update url and source to new home, and update licencetag to new
  standard.
- Stop building as noarch package, it is not anymore.
* Fri Jul 15 2011 fisiu@opensuse.org
- upstream update to 1.5.4
* Sun Jun 20 2010 vishwin80@googlemail.com
- update to 1.5.3
* Wed Mar 31 2010 vishwin80@googlemail.com
- 1.5.0 alpha1
